Bug 1202666 - python3.8 FTBFS-2038
python3.8 FTBFS-2038
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other All
: P5 - None : Normal (vote)
: ---
Assigned To: Matej Cepl
E-mail List
https://bugs.python.org/issue34990
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-08-24 07:33 UTC by Bernhard Wiedemann
Modified: 2023-01-30 20:20 UTC (History)
1 user (show)

See Also:
Found By: Development
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Wiedemann 2022-08-24 07:33:10 UTC
https://bugs.python.org/issue34990 shows the fix as backported to 3.9 and 3.10, but not 3.8

Steps to reproduce:
osc co openSUSE:Factory/python-wtf-peewee && cd $_
osc build --vm-type=kvm --noservice --clean \
 --build-opt=--vm-custom-opt="-rtc base=2038-09-04T00:00:00" \
 --alternative-project home:bmwiedemann:reproducible openSUSE_Tumbleweed


Actual results:
[   18s] + python3.8 -m compileall /home/abuild/rpmbuild/BUILDROOT/python-wtf-peewee-3.0.4-0.0.x86_64/usr/lib/python3.8/site-packages
[   18s] Traceback (most recent call last):
[   18s]   File "/usr/lib64/python3.8/runpy.py", line 194, in _run_module_as_main
[   18s]     return _run_code(code, main_globals, None,
[   18s]   File "/usr/lib64/python3.8/runpy.py", line 87, in _run_code
[   18s]     exec(code, run_globals)
[   18s]   File "/usr/lib64/python3.8/compileall.py", line 332, in <module>
[   18s]     exit_status = int(not main())
[   18s]   File "/usr/lib64/python3.8/compileall.py", line 314, in main
[   18s]     if not compile_dir(dest, maxlevels, args.ddir,
[   18s]   File "/usr/lib64/python3.8/compileall.py", line 96, in compile_dir
[   18s]     if not compile_file(file, dfile, force, rx, quiet,
[   18s]   File "/usr/lib64/python3.8/compileall.py", line 151, in compile_file
[   18s]     expect = struct.pack('<4sll', importlib.util.MAGIC_NUMBER,
[   18s] struct.error: 'l' format requires -2147483648 <= number <= 2147483647
Comment 1 OBSbugzilla Bot 2022-09-02 05:40:04 UTC
This is an autogenerated message for OBS integration:
This bug (1202666) was mentioned in
https://build.opensuse.org/request/show/1000772 Factory / python38
Comment 2 Dirk Mueller 2022-09-12 09:12:44 UTC
patch is included in Factory now.
Comment 5 Swamp Workflow Management 2022-11-29 17:42:28 UTC
SUSE-SU-2022:4275-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1202666,1205244
CVE References: CVE-2022-45061
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    python-2.7.18-33.17.1, python-base-2.7.18-33.17.1, python-doc-2.7.18-33.17.1
SUSE OpenStack Cloud 9 (src):    python-2.7.18-33.17.1, python-base-2.7.18-33.17.1, python-doc-2.7.18-33.17.1
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    python-base-2.7.18-33.17.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    python-2.7.18-33.17.1, python-base-2.7.18-33.17.1, python-doc-2.7.18-33.17.1
SUSE Linux Enterprise Server 12-SP5 (src):    python-2.7.18-33.17.1, python-base-2.7.18-33.17.1, python-doc-2.7.18-33.17.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    python-2.7.18-33.17.1, python-base-2.7.18-33.17.1, python-doc-2.7.18-33.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2023-01-30 20:20:05 UTC
SUSE-SU-2023:0213-1: An update that solves one vulnerability and has one errata is now available.

Category: security (important)
Bug References: 1202666,1205244
CVE References: CVE-2022-45061
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP2-BCL (src):    python-2.7.18-28.93.1, python-base-2.7.18-28.93.1, python-doc-2.7.18-28.93.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.